=== debian/changelog ===
circuit-macros (9.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version from 4.5.0 to 4.5.1.

 -- Aniol Marti <amarti@caliu.cat>  Sat, 02 Jan 2021 23:57:36 +0000

circuit-macros (9.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Update compat level from 12 to 13.

 -- Aniol Marti <amarti@caliu.cat>  Thu, 04 Jun 2020 13:40:46 +0000
