## circuit-macros 9.5.0

=== doc/Makefile ===
--- 
+++ 
@@ -67,7 +67,7 @@
 $(DOC).pdf:
 	touch mode.tex
 	-if grep -q tikz mode.tex ; then true ; else \
-           make clean ; printf "\\usepackage{tikz}\n" > mode.tex ; fi
+           rm mode.tex; make MODE=tikz clean mode.tex ; fi
 	make MODE=pgf PIC="dpic -g" LATEX=pdflatex SFX=pdf \
          POST="; printf '\\\\vspace*{-0.5\\\\baselineskip}\\n'" \
          $(DOC).pdf
@@ -113,6 +113,8 @@
 	-if test "$(MODE)" = "pstricks" ; then \
 	printf "\\usepackage{pstricks}\n" > mode.tex ; else \
 	printf "\\usepackage{tikz}\n" > mode.tex ; fi
+	printf "\\def\\Version{" >> mode.tex
+	sed -e 's/$$/}/' Version.tex >> mode.tex
 
 heading.tex:
 	printf '\\documentclass{article}\n' > heading.tex
