=== debian/changelog ===
circuit-macros (9.5.0-1) unstable; urgency=medium

  * New upstream version.
  * Update copyright from 2020 to 2021.

 -- Aniol Marti <amarti@caliu.cat>  Mon, 04 Jan 2021 00:14:15 +0000
