=== debian/control ===
Source: circuit-macros
Section: electronics
Priority: optional
Maintainer: Aniol Marti <amarti@caliu.cat>
Build-Depends: debhelper-compat (= 13),
               jdupes
Standards-Version: 4.5.1
Homepage: https://ece.uwaterloo.ca/~aplevich/Circuit_macros
Vcs-Browser: https://salsa.debian.org/debian/circuit-macros
Vcs-Git: https://salsa.debian.org/debian/circuit-macros.git
Rules-Requires-Root: no

Package: circuit-macros
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         m4
Recommends: dpic | groff-base
Description: Macros for drawing electric circuits
 Circuit Macros is a set of macros designed by
 Dwight Aplevich for drawing high quality
 electric circuits to include in TeX, LaTeX,
 web or other similar documents.
