## circuit-macros 9.8.0

=== debian/changelog ===
circuit-macros (9.8.0-1) unstable; urgency=medium

  * New upstream version.
  * Update standards version from 4.5.1 to 4.6.1.
  * Update copyright from 2021 to 2022.

 -- Aniol Martí <amarti@caliu.cat>  Mon, 25 Jul 2022 10:40:25 +0200
