## circuit-macros 9.9.0

=== examples/svg/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #DPIC = ../../../dpic/bi*dev/dpic
 
 # To test the Windows executable.  Change these as needed for the operating
-# system.  NOTE: AntiqueClockSVG.m4 and Connectors.m4 use awk and sed which
+# system.  NOTE: cscSVG.m4 and Connectors.m4 use awk and sed which
 # do not work at present with the Windows version.
 # M4LIBS = svg.m4 windows.m4
 # DPIC = ../../../dpic/bison/distsrc/Windows/dpic
@@ -50,21 +50,23 @@
 
 CCTSVG = \
  AdderSVG.svg AlogixSVG.svg ABlogixSVG.svg AmpTableSVG.svg AntennasSVG.svg \
- AntiqueClockSVG.svg \ AudioSVG.svg \
+ AudioSVG.svg \
  BipSVG.svg BtreeSVG.svg ByteSVG.svg ButtonsSVG.svg \
- CanLogicSVG.svg CctTableSVG.svg ConnSVG.svg ConnectorsSVG.svg \
+ CanLogicSVG.svg CapacitorsSVG.svg ChipsSVG.svg ConnSVG.svg ConnectorsSVG.svg \
  ContactSVG.svg ContactsSVG.svg \
- CountingSVG.svg CrossbarSVG.svg CrowSVG.svg CsourceSVG.svg \
+ CrowSVG.svg CsourceSVG.svg \
  DecoderSVG.svg DemultiplexerSVG.svg DiniSVG.svg DiodesSVG.svg DriveSVG.svg \
- EmarrowsSVG.svg \
+ EEPSVG.svg EmarrowsSVG.svg EscherSVG.svg \
  FlowSVG.svg FontsSVG.svg FusesSVG.svg \
  GeometrySVG.svg GrayCodeSVG.svg GroundsSVG.svg \
- HeadersSVG.svg HeathkitSVG.svg InclepsSVG.svg I2LSVG.svg JackSVG.svg \
- LyapSVG.svg LogicSVG.svg LoglogSVG.svg \
- MCSVG.svg MixerSVG.svg MotorControlSVG.svg MultiplexerSVG.svg \
+ HeadersSVG.svg HeathkitSVG.svg \
+ InclepsSVG.svg InductorsSVG.svg I2LSVG.svg JackSVG.svg \
+ LogicSVG.svg LoglogSVG.svg \
+ MCSVG.svg MixerSVG.svg MoreTableSVG.svg MotorControlSVG.svg \
+ MultiplexerSVG.svg \
  NLGSVG.svg NPDTSVG.svg NportSVG.svg OpampSVG.svg OptoisoSVG.svg \
- PconnSVG.svg PushPullSVG.svg QuantumSVG.svg \
- RectifiersSVG.svg RelaySVG.svg RotboxSVG.svg\
+ PconnSVG.svg PlateSVG.svg PushPullSVG.svg QuantumSVG.svg \
+ RectifiersSVG.svg RelaySVG.svg ResistorsSVG.svg RotboxSVG.svg\
  SchottkySVG.svg ShiftRSVG.svg SierpinskiSVG.svg \
  SixpoleSVG.svg SourcesSVG.svg SQUIDSVG.svg SwitchesSVG.svg \
  TTLnandSVG.svg TgateSVG.svg ThreeSVG.svg \
@@ -73,11 +75,10 @@
  ex01SVG.svg ex02SVG.svg ex03SVG.svg ex04SVG.svg ex05SVG.svg ex06SVG.svg \
  ex08SVG.svg ex09SVG.svg ex10SVG.svg ex11SVG.svg ex12SVG.svg \
  ex15SVG.svg ex16SVG.svg ex17SVG.svg ex18SVG.svg ex21SVG.svg \
- expSVG.svg fetSVG.svg graysurfSVG.svg lcctSVG.svg \
+ expSVG.svg fetSVG.svg graysurfSVG.svg keyboardSVG.svg lcctSVG.svg \
  pwrsupplySVG.svg quickSVG.svg randomSVG.svg recycleSVG.svg relaycoilSVG.svg \
- roseSVG.svg sfgSVG.svg shapesSVG.svg paletteSVG.svg \
- thyristorSVG.svg ujtSVG.svg UNOSVG.svg wormSVG.svg XORSVG.svg Np.svg \
- Y14-5SVG.svg
+ roseSVG.svg sfgSVG.svg shapesSVG.svg SmithchartSVG.svg paletteSVG.svg \
+ thyristorSVG.svg ujtSVG.svg UNOSVG.svg wormSVG.svg XORSVG.svg Np.svg
 
 examplesSVG.html: examplesSVG.htmx
 	cp ../quick.m4 .
@@ -89,7 +90,7 @@
 SED = sed -e '/^\%/d'
 TEST = test
 tst:
-	if test -f test.pic; then printf "\n\nUsage: make clean tst\n\n"; exit 1; fi
+	@if test -f test.pic; then printf "\n\nUsage: make clean tst\n\n"; exit 1;fi
 	m4 $(M4LIBS) test.m4 | $(SED) > test.pic
 	$(DPIC) -v $(TEST).pic > $(TEST).svg
 	m4 $(M4LIBS) $(TEST).m4 | $(SED) > $(TEST).pic
@@ -112,19 +113,20 @@
 
 xst: Incleps.png
 
-AntiqueClockSVG.svg ConnectorsSVG.svg:
+# necessary because of rotated text:
+LoglogSVG.svg:
 	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
 	$(DPIC) -v $*.pic > $*.svg
 	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
 	$(DPIC) -v $*.pic > $*.svg
 	grep '<\!-- width' $*.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > $*.siz
 
-xntiqueClockSVG.svg:
-	m4 $(M4LIBS) AntiqueClockSVG.m4 | sed -e '/^\%/d' > AntiqueClockSVG.pic
-	$(DPIC) -v AntiqueClockSVG.pic > AntiqueClockSVG.svg
-	m4 $(M4LIBS) AntiqueClockSVG.m4 | sed -e '/^\%/d' > AntiqueClockSVG.pic
-	$(DPIC) -v AntiqueClockSVG.pic > AntiqueClockSVG.svg
-	grep '<\!-- width' AntiqueClockSVG.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > AntiqueClockSVG.siz
+ConnectorsSVG.svg cscSVG.svg SmithchartSVG.svg test.svg:
+	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
+	$(DPIC) -v $*.pic > $*.svg
+	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
+	$(DPIC) -v $*.pic > $*.svg
+	grep '<\!-- width' $*.svg | sed -e 's%<\!-- *%%' -e 's% *-->%%' > $*.siz
 
 InclepsSVG.svg: InclepsSVG.m4
 	m4 $(M4LIBS) $*.m4 | sed -e '/^\%/d' > $*.pic
