=== debian/changelog ===
circuit-macros (9.9.0-1) unstable; urgency=medium

  * New upstream version.
  * Make package reproducible.

 -- Aniol Martí <amarti@caliu.cat>  Fri, 29 Jul 2022 16:55:10 +0200
