=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: circuit-macros
 Section: electronics
 Priority: optional
-Maintainer: Aniol Marti <amarti@caliu.cat>
+Maintainer: Aniol Martí <amarti@caliu.cat>
 Build-Depends: debhelper-compat (= 13),
                jdupes
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Homepage: https://ece.uwaterloo.ca/~aplevich/Circuit_macros
 Vcs-Browser: https://salsa.debian.org/debian/circuit-macros
 Vcs-Git: https://salsa.debian.org/debian/circuit-macros.git
